## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JV1TrapBuilder

    java.lang.Object
      org.opennms.netmgt.snmp.snmp4j.Snmp4JV2TrapBuilder
          org.opennms.netmgt.snmp.snmp4j.Snmp4JV1TrapBuilder

All Implemented Interfaces:
  org.opennms.netmgt.snmp.SnmpTrapBuilder, org.opennms.netmgt.snmp.SnmpV1TrapBuilder

    public class Snmp4JV1TrapBuilder

extends Snmp4JV2TrapBuilder
implements org.opennms.netmgt.snmp.SnmpV1TrapBuilder

Constructor Summary
`protected` `Snmp4JV1TrapBuilder(Snmp4JStrategy strategy)`

Method Summary
`protected org.snmp4j.PDUv1` `getPDUv1()`
`void` `setAgentAddress(java.net.InetAddress agentAddress)`
`void` `setEnterprise(org.opennms.netmgt.snmp.SnmpObjId enterpriseId)`
`void` `setGeneric(int generic)`
`void` `setSpecific(int specific)`
`void` `setTimeStamp(long timeStamp)`

Methods inherited from class org.opennms.netmgt.snmp.snmp4j.Snmp4JV2TrapBuilder
`addVarBind, getPDU, send, sendTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opennms.netmgt.snmp.SnmpTrapBuilder
`addVarBind, send, sendTest`

Constructor Detail

### Snmp4JV1TrapBuilder

    protected Snmp4JV1TrapBuilder(Snmp4JStrategy strategy)

Method Detail

### getPDUv1

    protected org.snmp4j.PDUv1 getPDUv1()

### setEnterprise

    public void setEnterprise(org.opennms.netmgt.snmp.SnmpObjId enterpriseId)

  Specified by:
    `setEnterprise` in interface `org.opennms.netmgt.snmp.SnmpV1TrapBuilder`

### setAgentAddress

    public void setAgentAddress(java.net.InetAddress agentAddress)

  Specified by:
    `setAgentAddress` in interface `org.opennms.netmgt.snmp.SnmpV1TrapBuilder`

### setGeneric

    public void setGeneric(int generic)

  Specified by:
    `setGeneric` in interface `org.opennms.netmgt.snmp.SnmpV1TrapBuilder`

### setSpecific

    public void setSpecific(int specific)

  Specified by:
    `setSpecific` in interface `org.opennms.netmgt.snmp.SnmpV1TrapBuilder`

### setTimeStamp

    public void setTimeStamp(long timeStamp)

  Specified by:
    `setTimeStamp` in interface `org.opennms.netmgt.snmp.SnmpV1TrapBuilder`

Copyright © 2009. All Rights Reserved.